<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"

      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">



    <body>

        <ui:composition template="../WEB-INF/template/Template.xhtml">

            <ui:define name="content">

                <p:fieldset legend="Cadastro de Livros">
                    <p:panelGrid columns="2" id="painel">
                        <f:facet name="header">
                            Dados dos Livros
                        </f:facet>
                        <p:outputLabel value="Codigo:" for="codigo" />
                        <p:inputText id="codigo"  style="width: 40px" readonly="true" value="#{livroBean.codigo}" />
                        
                        <p:outputLabel value="Titulo:" for="titulo" />
                        <h:panelGroup >
                            <p:inputText id="titulo" required="true" value="#{livroBean.livro.titulo}" />
                            <p:message for="titulo" />
                        </h:panelGroup>
                        
                        <p:outputLabel value="Preco:" for="preco" />
                        <h:panelGroup >
                            <p:inputText id="preco" required="true"  value="#{livroBean.livro.preco}"  />
                            <p:message for="preco" />
                        </h:panelGroup>
                        
                        <p:outputLabel value="Estoque:" for="estoque" />
                        <h:panelGroup >
                            <p:inputText id="estoque" required="true"  value="#{livroBean.livro.estoque}"  />
                            <p:message for="estoque" />
                        </h:panelGroup>
                        
                        <f:facet name="footer">
                            <p:commandButton value="Salvar" icon="fa fa-plus"  action="#{livroBean.salvar}" update="growl,painel,tabela" />
                            <p:spacer width="20px" />
                            <p:commandButton value="Novo" icon="ui-icon-pencil"  action="#{livroBean.novo}" immediate="true" update="painel"/>
                        </f:facet>
                         <h:inputHidden value="#{livroBean.livro.id}" />
                    </p:panelGrid>
                   
                </p:fieldset>

                <p:spacer height="20px" />

                <p:fieldset legend="Lista de Livros" >
                    <p:dataTable value="#{livroBean.lista}" var="livro" id="tabela" >
                        <p:column headerText="Código" style="width: 80px; text-align: center">
                            <h:outputText value="#{livro.id}" />
                        </p:column>
                        <p:column headerText="Título">
                            <h:outputText value="#{livro.titulo}" />
                        </p:column>
                        <p:column headerText="Preço">
                            <h:outputText value="#{livro.preco}" />
                        </p:column>
                        <p:column headerText="Estoque">
                            <h:outputText value="#{livro.estoque}" />
                        </p:column>
                        <p:column style="width: 100px; text-align: center">
                            

                            <p:commandButton  icon="ui-icon-pencil" title="Editar"  process="@this" update="painel">
                                <f:setPropertyActionListener target="#{livroBean.livro}" value="#{livro}" />
                            </p:commandButton>

                            <p:commandButton icon="ui-icon-trash" title="Excluir" actionListener="#{livroBean.excluir(livro)}" process="@this" update="growl , tabela" immediate="true" >
                                <p:confirm header="Confirmação" message="Deseja realmente excluir?" icon="ui-icon-alert" />
                            </p:commandButton>

                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                                <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                            </p:confirmDialog>

                        </p:column>




                    </p:dataTable>

                </p:fieldset>

            </ui:define>


        </ui:composition>




    </body>
</html>

